July 28, 2026
10 days ago
Team Users now support custom field values — readable and writable through
the existing Users endpoints — and Custom Field definitions can be scoped to
Users.
Added
Users
- Added a
custom_fieldsfield to Users, returning the company's
Users-scoped custom field values for each user.custom_fieldscan be
filtered like any other field. - Custom field values can now be set on Users through the existing
PATCH /v2/users/{id}endpoint, using thecustom_fieldsfield in the
request body. - MCP and Clarity clients can now update Team User notes, tags, and custom
field values with theuser_updatetool, including bulk updates of up to
50 users.
Custom Fields
- Custom Field definitions can now be scoped to Users. The
entity_type
field accepts a newusersvalue, in addition to the existing
applications,payments, andcontractsvalues.